26.2.0 - Feb 17
Released: 2026-02-17
We’re pleased to announce the following updates to the Forward Networks API as part of release 26.2.0.
See also the full release notes for Forward Enterprise version 26.2.0.
Breaking changes
None.
Scheduled breaking changes
-
FWD-41282 NQE: The default value of
itemFormatwill change from "LEGACY" to "JSON" in release 26.3. We recommend opting into the "JSON" format before that release. If you need to keep using the "LEGACY" format in release 26.3 or beyond for some reason, be sure to specify the "LEGACY" format in each request.- Affected operations:
- POST /api/nqe
- POST /api/nqe-diffs/{before}/{after}
- Affected operations:
-
FWD-48774 Network Snapshots: The numerical timestamp properties of SnapshotInfo and SnapshotMetrics will be removed in release 26.4. Use the string timestamp properties instead:
creationDateMillis→createdAt,processedAtMillis→processedAt,restoredAtMillis→restoredAt,favoritedAtMillis→favoritedAt.- Affected operations:
- GET /api/networks/{networkId}/snapshots
- POST /api/networks/{networkId}/snapshots
- GET /api/networks/{networkId}/snapshots/latestProcessed
- GET /api/snapshots/{snapshotId}/metrics
- Affected operations:
-
FWD-48774 Networks: A numerical timestamp property of Network will be removed in release 26.4. Use the string timestamp property instead:
createdAt→created.- Affected operations:
- GET /api/networks
- PATCH /api/networks/{networkId}
- DELETE /api/networks/{networkId}
- POST /api/networks/{networkId}/snapshots
- POST /api/networks/{networkId}/workspaces
- Affected operations:
-
FWD-48774 Aliases: A numerical timestamp property of Alias will be removed in release 26.4. Use the string timestamp property instead:
creationTime→createdAt.- Affected operations:
- GET /api/snapshots/{snapshotId}/aliases
- DELETE /api/snapshots/{snapshotId}/aliases
- GET /api/snapshots/{snapshotId}/aliases/{name}
- PUT /api/snapshots/{snapshotId}/aliases/{name}
- DELETE /api/snapshots/{snapshotId}/aliases/{name}
- Affected operations:
-
FWD-48774 Network Checks: The numerical timestamp properties of NetworkCheckResult will be removed in release 26.4. Use the string timestamp properties instead:
creationDateMillis→createdAt,definitionDateMillis→definedAt,editDateMillis→editedAt,executionDateMillis→executedAt.- Affected operations:
- GET /api/snapshots/{snapshotId}/checks
- POST /api/snapshots/{snapshotId}/checks
- GET /api/snapshots/{snapshotId}/checks/{checkId}
- Affected operations:
Documentation changes
-
FWD-48255 The API documentation has a new look! Check it out.
-
FWD-50182 An introductory description has been added to each OpenAPI file.
-
FWD-50061 In the OpenAPI files, many operation IDs and summaries have been updated for consistency.
Model changes
-
DeviceCollectionError
- BUGX-2674 Added value "DUPLICATE_DEVICE"
- Affected operations:
- GET /api/networks/{networkId}/devices
- GET /api/networks/{networkId}/devices/{deviceName}
-
InetConnection
- FWD-36012 Added property
vrf. Also renamed this model to L3SyntheticWanConnection. - Affected operations:
- GET /api/networks/{networkId}/intranet-nodes
- PUT /api/networks/{networkId}/intranet-nodes
- GET /api/networks/{networkId}/intranet-nodes/{nodeName}
- PUT /api/networks/{networkId}/intranet-nodes/{nodeName}
- PATCH /api/networks/{networkId}/intranet-nodes/{nodeName}
- GET /api/networks/{networkId}/intranet-nodes/{nodeName}/connections
- POST /api/networks/{networkId}/intranet-nodes/{nodeName}/connections
- FWD-36012 Added property
-
L3VpnConnection
- FWD-36012 Renamed this model to L3SyntheticWanConnection.
- Affected operations:
- none
-
MissingDevice
- FWDN-11999 Added
possibleTypesvalue "velocloud_orchestrator_api" - Affected operations:
- GET /api/networks/{networkId}/missing-devices
- FWDN-11999 Added
-
NotFilter
- FWD-49749 Changed type of
clausefrom FlowHopFilter to object. No behavior change. - Affected operations:
- none
- FWD-49749 Changed type of
-
Vendor
- FWD-49344 Added value "IBM"
- Affected operations:
- GET /api/networks/{networkId}/devices
- GET /api/networks/{networkId}/devices/{deviceName}